Foxit PDF SDK

Public Member Functions | List of all members
foxit::pdf::SplitPDFDocCallback Class Referenceabstract

## Public Member Functions
virtual bool | NeedToPause ()=0
| A callback function used to pause the current splitting progress. More...
virtual void | ProgressNotify (const wchar_t *before_splitting_file_name, const wchar_t *after_split_file_path, int split_page_count, int total_page_count)=0
| A callback function used to notify the current splitting progress. More...
virtual void | ResultNotify (const SplitFileResultArray &result_array)=0
| A callback function used to notify the current split result. More...

## Detailed Description

This class represents a callback object used to pause and notify the splitting progress during the splitting process, as well as to notify the result of the split. All the pure virtual functions in this class are used as callback functions and should be implemented by user.

## Member Function Documentation

## ◆ NeedToPause()

virtual bool foxit::pdf::SplitPDFDocCallback::NeedToPause | ( |  | ) |
| pure virtual

A callback function used to pause the current splitting progress.

Returns
  true means to pause now, while false means not to pause now.

## ◆ ProgressNotify()

virtual void foxit::pdf::SplitPDFDocCallback::ProgressNotify | ( | const wchar_t * | before_splitting_file_name,
|  | const wchar_t * | after_split_file_path,
|  | int | split_page_count,
|  | int | total_page_count
| ) |  |
| pure virtual

A callback function used to notify the current splitting progress.

Parameters

  [in] | before_splitting_file_name | The file name of the original PDF document before splitting.
  [in] | after_split_file_path | The file path of the PDF document generated by splitting.
  [in] | split_page_count | The count of pages to be split in the current PDF document.
  [in] | total_page_count | The total count of pages in the current PDF documen.

Returns
  None.

## ◆ ResultNotify()

virtual void foxit::pdf::SplitPDFDocCallback::ResultNotify | ( | const SplitFileResultArray & | result_array | ) |
| pure virtual

A callback function used to notify the current split result.

Parameters

  [in] | result_array | An array of SplitFileResult objects. When the splitting is completed, the result information of each file split will be notified.

Returns
  None.